<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="libs/three.js"></script>
    <script src="libs/jquery331.js"></script>
    <title>Document</title>
    <script>
        class Pionek {
            constructor(kolor) {
                this._kolor = kolor
            }

            set kolor(val) {
                console.log("setter")
                this._kolor = val
            }
            get kolor() {
                console.log("getter")
                return this._kolor
            }

        }

        var pionek = new Pionek(0xff0000)

        pionek.kolor = 0x00ff00 // wywołanie setter-a czyli FUNKCJI kolor z klasy Pionek
        console.log(pionek.kolor) // wywołanie gettera czyli FUNKCJI kolor z klasy Pionek
    </script>
</head>

<body>

</body>

</html>